import { FastifyInstance } from 'fastify';
import {
    getRoles,
    createRole,
    updateRole,
    deleteRole,
} from '../controllers/roles.controller';

export async function roleRoutes(server: FastifyInstance) {
    server.get('/', getRoles);
    server.post('/', createRole);
    server.patch('/:id', updateRole);
    server.delete('/:id', deleteRole);
}
